<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsScore>
f 1 0 131073 27 0 0   32768 1 98304 -1  131072 0 ; triangle
; coords (0,0),  (16,1), (32, -1), (256,0)

f 2   0   65536  31  1  1 0.3 0 2 1 0 3 0.5 0 4 0.25 0 5 0.125 0 6 0.6 0 7 0.3 0 8 0.15 0 9 0.07 0 10 0.04 0 11 0.02 0 13 0.01 0
 ; harmonic series of triangles
 
;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	1 3000 	 	220 	 	0.05 	 	50 	
i1	1 	1 3000 	 	330 	 	0.05 	 	50 	
i1	2 	1 3000 	 	440 	 	0.05 	 	50 	
i1	3 	1 3000 	 	550 	 	0.05 	 	50 	
i1	4 	1 3000 	 	660 	 	0.05 	 	50 	
i1	5 	1 3000 	 	770 	 	0.05 	 	50 	
i1	6 	1 3000 	 	880 	 	0.05	 	50 	

</CsScore>

<CsInstrumentToPlay>
AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length
     
</CsInstrumentToPlay>

<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>

<CsInstruments>

instr 1

; This plays function table 2 with rise and decay

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise  = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenvelope  linen iamplitude, irise, iduration, idecay

audio pluck kenvelope,  kfrequency,   ifrequency ,  2, 3, 0 ; function table, pluck method 3, parameter 0 = plucked string effect
   out audio
endin


</CsInstruments>
</CsoundSynthesizer>
