<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsScore>

f 1 0 1048577 27 0 0 65536 1  131072 -1 1048576 0 ; zigzaggy curve goes 0 to  1 to -1 i to 0
; coords (0,0),  (16,1), (32, -1), (256,0)  

</CsScore>

<CsInstrumentToPlay>

i1 AMP CPS 0.2 50.0 ; rise in seconds, decay percentage,

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	1 3000 	 	220 	 	10 	 	50 	
i1	1 	1 3000 	 	330 	 	10 	 	50 	
i1	2 	1 3000 	 	440 	 	10 	 	50 	
i1	3 	1 3000 	 	550 	 	10 	 	50 	
i1	4 	1 3000 	 	660 	 	10 	 	50 	
i1	5 	1 3000 	 	770 	 	10 	 	50 	
i1	6 	1 3000 	 	880 	 	10 	 	50 	

</CsInstrumentToPlay>

<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>

<CsInstruments>

instr 1

; This plays function table 1 with rise and decay

; args: AMP CPS 10.0 50.0 ; rise proportion (as percentage of total duration), decay proportion,

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise  = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenvelope  linen iamplitude, irise, iduration, idecay

audio pluck kenvelope,  kfrequency,   ifrequency ,  1, 3, 0 ; function table, pluck method 3, parameter 0 = plucked string effect
   out audio
endin
</CsInstruments>
</CsoundSynthesizer>
