<CsoundSynthesizer>
<CsOptions>
</CsOptions>


<CsScore> 
; in auto mode the function table numbers here get automatically incremented 
; so that each intrument in the orchestra has its own unique function tables

f1 0 131073 6 0 16384 0.5 16384 1 16384 0.5 16384 0 16384 -0.5 16384 -1 16384 -0.5 16384 0

; cubic splines with maxima at (points of inflection in square brackets)
; 0 [0.5] 1 [0.5] 0 [-0.5] -1 [0.5] 0
; Has same area above and below so suitable for use as a waveform table.


; f1 0 1025 6 0 128 0.5 128 1 128 0.5 128 0 128 -0.5 128 -1 128 -0.5 128 0

; f1  0 65 6 0 16 0.5 16 1 16 0 8 -1 8 0 ; gen 6 = cubic splines curve has maxima / minima at 0 1 -1 

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	1 3000 	 	220 	 	0.05 	 	50 	
i1	1 	1 3000 	 	330 	 	0.05 	 	50 	
i1	2 	1 3000 	 	440 	 	0.05 	 	50 	
i1	3 	1 3000 	 	550 	 	0.05 	 	50 	
i1	4 	1 3000 	 	660 	 	0.05 	 	50 	
i1	5 	1 3000 	 	770 	 	0.05 	 	50 	
i1	6 	1 3000 	 	880 	 	0.05	 	50 	

</CsScore>

<CsInstrumentToPlay>

i1 AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length

[</CsInstrumentToPlay>

<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>

<CsInstruments> 
; Enter the actual instrument here.
; It gets renumbered, so you can use anything for the instrument number - it gets ignored.
;
; in auto mode all function table arguments here get automatically incremented 
; to correspond to the instrument's unique function tables in the score
;
;You can have several instruments here if extra ones are needed
; for initialisation in the [SCO] section. The extra instruments
; can have their numbers prefixed with # which ensures
; that the number gets ; incremented to make a unique instrument e.g. 2001 etc
; The same number e.g. #1 needs to be used in the [SCO] section


instr 1

; This plays function table 1 with rise and decay

iduration  = p3
iamplitude  = p4
kp5 = p5

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5=p5 ;
kfrequency  = kp5
ifrequency=p5

irise  = p6
idecaypercent = p7
idecay = iduration*idecaypercent/100

kenvelope  linen iamplitude, irise, iduration, idecay

audio pluck kenvelope,  kfrequency,   ifrequency ,  1, 3, 0 ; function table, pluck method 3, parameter 0 = plucked string effect
   out audio
endin
</CsInstruments> 
</CsoundSynthesizer>