<CsoundSynthesizer>
<CsOptions>
-W -d -o l:\rob\test.wav 
</CsOptions>
<CsScore>


; in auto mode the function table numbers here get automatically incremented 
; so that each intrument in the orchestra has its own unique function tables

f 1 0 131073 27 0 0   32768 1 98304 -1  131072 0 ; triangle

;; test harmonic series to play if user compiles this instrument directly to an audio file in csound
i1 	0 	1 3000 	 	220 	 	10 	 	50 	
i1	1 	1 3000 	 	330 	 	10 	 	50 	
i1	2 	1 3000 	 	440 	 	10 	 	50 	
i1	3 	1 3000 	 	550 	 	10 	 	50 	
i1	4 	1 3000 	 	660 	 	10 	 	50 	
i1	5 	1 3000 	 	770 	 	10 	 	50 	
i1	6 	1 3000 	 	880 	 	10 	 	50 	

</CsScore>
<CsDurationInstruments>
</CsDurationInstruments>
<CsInstrumentToPlay>

;This should list  a set of parameters that are suitable for the instrument.
;
;Use AMP or DB or VEL (for midi velocity) for amplitude parameters
;Use CPS, PCH, OCT, MIDI or  eg. PCH31 (for 31-et notation) for frequency parameters
;These can also be used in formulae e.g. CPS/10 Do the formulae with no spaces
;so that they can be recognised as a single parametere
;
;Prefix any function table arguments  with F so that they can be incremented
;
i1 AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length


</CsInstrumentToPlay>


<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>


<CsInstruments>

instr 1

; This plays function table 1 with rise and decay

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise  = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenvelope  linen iamplitude, irise, iduration, idecay

audio pluck kenvelope,  kfrequency,   ifrequency ,  1, 3, 0 ; function table, pluck method 3, parameter 0 = plucked string effect
   out audio
endin


</CsInstruments>
</CsoundSynthesizer>
