<CsoundSynthesizer>
<CsOptions>
</CsOptions>

<CsScore>
</CsScore>

<CsDurationInstruments>
</CsDurationInstruments>

<CsInstrumentToPlay>
AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length
</CsInstrumentToPlay>


<CsPitchBendGlides>
* 
</CsPitchBendGlides>


<CsInstruments>

instr 1

; args: AMP CPS 10.0 50.0 ; rise proportion (as percentage of total duration), decay proportion,

iduration  = p3
iamplitude  = p4

;This; enables pitch glides for FTS orchestra building for CSoundAV
kp5 = p5
kfrequency  = kp5
ifrequency  = p5

irise = p6
idecaypercent = p7

asamples init 0
atime=asamples/sr
asamples = asamples+1

itwopi=3.14159265*2

ipio2 = 3.14159265/2

angle=atime*itwopi

idecay = iduration*idecaypercent/100
kenv linen iamplitude, irise, iduration, idecay

a1 =kenv * sin( ipio2*sin( ipio2*sin( ipio2*sin( ipio2*sin( ipio2*sin( ipio2*sin( ipio2*sin(kfrequency*angle) ) ) ) ) ) ) )

   out a1
endin


</CsInstruments>

<csGlobals>
ksmps = 1 ; Set the control rate to the audio rate. Modern computers are fast enough to control at audio rate
; This is needed to generate the sine curve at audio rate directly. When this instrument is used
; all the instruments in the orchestra will control at audio rate. Preset is 1/10th of audio rate.
</csGlobals>

</CsoundSynthesizer>
